Speria Docs
AnalysisV1WorkspacesWorkspace_idAnalyses

List analyses in the workspace

GET
/v1/workspaces/{workspace_id}/analyses

Authorization

BearerAuth
AuthorizationBearer <token>

Use an API key issued from Speria

In: header

Path Parameters

workspace_id*string

Query Parameters

after?string
per_page?integer

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/workspaces/01j00000000000000000000000/analyses?after=01A&per_page=1"
{  "data": [    {      "id": "01B",      "source_type": "recording_session",      "customer_visit_id": "",      "recording_session_id": "rs_1",      "transcript_ids": [],      "version_id": "",      "created_at": "2026-07-02T00:00:00Z"    }  ],  "pagination": {    "has_more": false,    "next_cursor": ""  }}
{  "error": {    "code": "insufficient_scope",    "message": "This endpoint requires the `analyses:read` scope"  }}
{  "error": {    "code": "upstream_error",    "message": "Service temporarily unavailable"  }}